# Uses of Enum Class
net.shibboleth.idp.attribute.filter.PolicyRequirementRule.Tristate

Packages that use PolicyRequirementRule.Tristate
Package
Description
net.shibboleth.idp.attribute.filter
This package contains a filtering engine for a collection of `IdPAttribute`s.
net.shibboleth.idp.attribute.filter.policyrule.filtercontext.impl
Implementation of the filter context matchers Matchers.
net.shibboleth.idp.attribute.filter.policyrule.impl
Classes which implement`PolicyRequirementRule`.
net.shibboleth.idp.attribute.filter.policyrule.logic.impl
Implementation of the logical Policy Rules.
net.shibboleth.idp.attribute.filter.policyrule.saml.impl
This is where the attribute policy rules that understand SAML live.
net.shibboleth.idp.attribute.filter.testing
Testing utility classes.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter

Methods in net.shibboleth.idp.attribute.filter that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
PolicyFromMatcher.`matches(AttributeFilterContext context)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
PolicyFromMatcherId.`matches(AttributeFilterContext context)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
PolicyRequirementRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`static PolicyRequirementRule.Tristate`
PolicyRequirementRule.Tristate.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PolicyRequirementRule.Tristate[]`
PolicyRequirementRule.Tristate.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter.policyrule.filtercontext.impl

Methods in net.shibboleth.idp.attribute.filter.policyrule.filtercontext.impl that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
AttributeIssuerPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AttributeIssuerRegexpPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AttributeRequesterPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AttributeRequesterRegexpPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
NumOfAttributeValuesPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
PredicatePolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
PrincipalNamePolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
PrincipalNameRegexpPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
ProfilePolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
ProxiedRequesterPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
ProxiedRequesterRegexpPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter.policyrule.impl

Methods in net.shibboleth.idp.attribute.filter.policyrule.impl that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
ScriptedPolicyRule.PolicyRuleScriptEvaluator.`execute(AttributeFilterContext filterContext)`
Execution hook.
`PolicyRequirementRule.Tristate`
DirectionPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
ScriptedPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`protected PolicyRequirementRule.Tristate`
AbstractRegexpPolicyRule.`regexpCompare(String value)`
Matches the given value against the provided regular expression.
`protected PolicyRequirementRule.Tristate`
AbstractStringPolicyRule.`stringCompare(String value)`
Matches the given value against the provided match string.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter.policyrule.logic.impl

Methods in net.shibboleth.idp.attribute.filter.policyrule.logic.impl that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
AndPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
NotPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
OrPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter.policyrule.saml.impl

Methods in net.shibboleth.idp.attribute.filter.policyrule.saml.impl that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
AbstractEntityAttributePolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AbstractEntityGroupPolicyRule.`matches(AttributeFilterContext input)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AbstractNameIDFormatExactPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AbstractProtocolSupportPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
`PolicyRequirementRule.Tristate`
AbstractRegistrationAuthorityPolicyRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.

## Uses of PolicyRequirementRule.Tristate in net.shibboleth.idp.attribute.filter.testing

Fields in net.shibboleth.idp.attribute.filter.testing declared as PolicyRequirementRule.Tristate
Modifier and Type
Field
Description
`private PolicyRequirementRule.Tristate`
MockPolicyRequirementRule.`retVal`
to return from matcher().
Methods in net.shibboleth.idp.attribute.filter.testing that return PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`PolicyRequirementRule.Tristate`
MockPolicyRequirementRule.`matches(AttributeFilterContext filterContext)`
Evaluate what this rule means.
Methods in net.shibboleth.idp.attribute.filter.testing with parameters of type PolicyRequirementRule.Tristate
Modifier and Type
Method
Description
`void`
MockPolicyRequirementRule.`setRetVal(PolicyRequirementRule.Tristate what)`
Set what to return